Subject: Re: [PATCH] transport: drop support for git-over-rsync

From: Eric Wong <[email-masked]>
Date: Sat, 30 Jan 2016 08:04:52 +0000

Jeff King <[email-masked]> wrote:
> On Sat, Jan 30, 2016 at 02:21:26AM -0500, Jeff King wrote:
> > Even the commit porting rsync over to C from shell (cd547b4)
> > lists it as deprecated! So between the 10 years of informal
> > warnings, and the fact that it has been severely broken
> > since 2007, it's probably safe to simply remove it without
> > further deprecation warnings.

I suppose there's a chance some projects are so small they never
trigger ref packing; especially if some people are serving .git
out of a working directory... *shrug*

But yeah, plain rsync remains usable, of course.

> I cleaned up all of the documentation references I could find, except
> one: the git-svn manual notes that because SVN metadata is kept outside
> of refs, you should use rsync for cloning. I'm not sure what to
> recommend there. I don't eve nthink that "git clone rsync://" would copy
> that metadata. So perhaps it just meant "rsync the whole thing yourself"
> (in which case it is OK to leave it).

Yes, probably "rsync the whole thing yourself".  And I should
update that since "clone --mirror" supports remotes, nowadays.
git-svn metadata is rebuildable anyways (unless somebody made
the mistake of disabling it).